package cokr.xit.ens.core.jpa.dialect;

import org.hibernate.dialect.MariaDB103Dialect;
import org.hibernate.dialect.function.StandardSQLFunction;
import org.hibernate.type.StandardBasicTypes;

public class MariaDB103DialectCustom extends MariaDB103Dialect {

	public MariaDB103DialectCustom() {
		super();

		registerFunction("ECL_DECRYPT", new StandardSQLFunction("ECL_DECRYPT", StandardBasicTypes.STRING));
		registerFunction("ECL_ENCRYPT", new StandardSQLFunction("ECL_ENCRYPT", StandardBasicTypes.STRING));
		registerFunction("GROUP_CONCAT", new StandardSQLFunction("group_concat", StandardBasicTypes.STRING));
	}
}
